<?php

namespace saul\ComunBundle\Repository;

/**
 * DocumentoRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class TerceroRepository extends \Doctrine\ORM\EntityRepository
{
	function consultarPorClave($clave)
    {
        $em = $this->getEntityManager();
        $dql  ="SELECT t
                FROM ComunBundle:Tercero t
                WHERE 1=1 ";
        if($clave){
            $dql  .="AND t.identificacion like '$clave%'";
        }
        $query = $em->createQuery($dql);
        return $query->getResult();
    }
}
